Bug 609836 - Pulp repo schedules :error
Summary: Pulp repo schedules :error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Sayli Karmarkar
QA Contact:
URL:
Whiteboard:
Keywords: QA-Closed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 09:42 UTC by Shveta
Modified: 2015-03-23 01:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 16:11:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shveta 2010-07-01 09:42:05 UTC
Description of problem: Pulp repo schedules results in error 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


[root@shveta ~]# pulp repo schedule --help

Usage: pulp MODULENAME ACTION [options] --help

Supported Actions:

	create         Create a repo            
	delete         Delete a repo            
	list           List available repos     
	schedules      List all repo schedules  
	sync           Sync data to this repo from the feed
	update         Update a repo            
	upload         Upload package(s) to this repo

[root@shveta ~]# pulp repo schedules --help
Usage: pulp repo schedules

Options:
  -h, --help  show this help message and exit
[root@shveta ~]# pulp repo schedules
+-------------------------------------+
    Available Repository Schedules 
+-------------------------------------+
Traceback (most recent call last):
  File "/usr/bin/pulp", line 26, in <module>
    pulpcli.PulpCore().main()
  File "/usr/lib/python2.6/site-packages/pulp-0.0.6-py2.6.egg/pulptools/pulpcli.py", line 102, in main
    cmd.main()
  File "/usr/lib/python2.6/site-packages/pulp-0.0.6-py2.6.egg/pulptools/core/basecore.py", line 43, in main
    self._do_core()
  File "/usr/lib/python2.6/site-packages/pulp-0.0.6-py2.6.egg/pulptools/core/core_repo.py", line 137, in _do_core
    self._schedules()
  File "/usr/lib/python2.6/site-packages/pulp-0.0.6-py2.6.egg/pulptools/core/core_repo.py", line 273, in _schedules
    for label in schedules.keys():
AttributeError: 'NoneType' object has no attribute 'keys'

Comment 1 Preethi Thomas 2010-07-06 17:57:21 UTC
[root@preethi ~]# pulp repo schedules
+-------------------------------------+
    Available Repository Schedules 
+-------------------------------------+
Traceback (most recent call last):
  File "/usr/bin/pulp", line 26, in <module>
    pulpcli.PulpCore().main()
  File "/usr/lib/python2.6/site-packages/pulptools/pulpcli.py", line 102, in main
    cmd.main()
  File "/usr/lib/python2.6/site-packages/pulptools/core/basecore.py", line 43, in main
    self._do_core()
  File "/usr/lib/python2.6/site-packages/pulptools/core/core_repo.py", line 142, in _do_core
    self._schedules()
  File "/usr/lib/python2.6/site-packages/pulptools/core/core_repo.py", line 286, in _schedules
    schedules = self.pconn.all_schedules()
  File "/usr/lib/python2.6/site-packages/pulptools/connection.py", line 175, in all_schedules
    return self.conn.request_get(method)
  File "/usr/lib/python2.6/site-packages/pulptools/connection.py", line 76, in request_get
    return self._request("GET", method)
  File "/usr/lib/python2.6/site-packages/pulptools/connection.py", line 64, in _request
    self.validateResponse(response)
  File "/usr/lib/python2.6/site-packages/pulptools/connection.py", line 72, in validateResponse
    raise RestlibException(response.status, response.read())
pulptools.connection.RestlibException: "Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/juicer/controllers/base.py\", line 48, in report_error\n    return method(self, *args, **kwargs)\nTypeError: GET() takes exactly 3 arguments (1 given)\n"
[root@preethi ~]# 

[root@preethi pulp]# rpm -qa |grep pulp
pulp-0.0.31-1.git.10.06453be.fc13.noarch
pulp-tools-0.0.31-1.git.10.06453be.fc13.noarch
[root@preethi pulp]#

Comment 2 Sayli Karmarkar 2010-08-12 17:32:31 UTC
Fixed.

Comment 3 Shveta 2010-08-13 06:54:52 UTC
[root@shveta noarch]# pulp-admin -u admin -p admin repo schedules 
+-------------------------------------+
    Available Repository Schedules 
+-------------------------------------+

Label                   rhel-i386-server-5       
Schedule                None                     


Label                   f12_x64                  
Schedule                None                     


Label                   rhel-i386-server5        
Schedule                None                     


Label                   TAKE3rhel-i386-server-5  
Schedule                None                     


Label                   f12_x86                  
Schedule                None                     


Label                   f12_i386                 
Schedule                None                     

[root@shveta noarch]#

Comment 4 Preethi Thomas 2010-10-20 16:11:14 UTC
Closed after review.


Note You need to log in before you can comment on or make changes to this bug.